Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Gradle

Advertencia de Android Studio minSdkVersion y targetSdkVersion

En un proyecto de Android que tengo, tengo esta sección en el archivo build.gradle: android { compileSdkVersion 19 buildToolsVersion "19.0.3" defaultConfig { minSdkVersion 16 targetSdkVersion 19; } } En las propiedades 'minSdkVersion' y 'targetSdkVersion', hay las advertencias: 'minSdkVersion' cannot be applied to '(java.lang.Integer)' 'targetSdkVersion' cannot be applied to '(java.lang.Integer)` ¿Es esto un error, o algo […]

Android-library con la dependencia específica de Flavors de Producto

Estoy buscando algo como apply plugin: 'android-library' dependencies { flavor1Compile files('utility.aar') } Todo falla con: No se pudo encontrar el método flavor1Compile () para argumentos [colección de archivos] en el proyecto raíz 'SampleProject'.

¿Es seguro eliminar la carpeta .gradle en Android Studio?

Tengo un proyecto antiguo en el que estoy trabajando, me di cuenta de que la carpeta .gradle tiene demasiadas subcarpetas para cada distribución de gradle que he cambiado en el pasado, ¿es seguro eliminar las subcarpetas de versiones antiguas?

Gradle build Javadoc tarea falla con 'etiqueta desconocida: attr'

Estoy intentando construir el proyecto android-autofittextview desde la línea de comandos usando gradle. Sin embargo, falla cada vez con el siguiente error: /Users/me/android-autofittextview/library/src/main/java/me/grantland/widget/AutofitHelper.java:384: error: unknown tag: attr * @attr ref android.R.styleable#TextView_textSize Este error se repite una docena de veces en varios archivos. Esto ocurre durante la :library:androidJavadocs Intenté desactivarlo usando este enfoque , pero luego […]

Opciones de envasado basadas en el sabor del producto en gradle

Estoy usando opciones de empaquetado para excluir algunas libs. ¿Es posible tener opciones de envasado basadas en el sabor del producto. Por ejemplo – android { productFlavors { flavorDimensions 'models' S2 { flavorDimension 'models' minSdkVersion 22 …. } S6 { flavorDimension 'models' minsdkversion 22 …. } } packagingOptions { exclude 'lib/armeabi/libs2.so' exclude 'lib/arm64-v8a/libs6.so } } […]

Ejecutar pruebas de JUnit en la aplicación de Gradle para Android

Quiero ejecutar simples, simples pruebas JUnit en mi proyecto de aplicación para Android, utilizando Gradle al mismo tiempo para escribir pruebas de actividad después. Tomó un tiempo loong configurar Gradle y hacer que funcione, pero, de todos modos, ahora estoy atascado tratando de hacer pruebas JUnit sólo compilar. Comprobé este enlace , pero cuando corro […]

Error Gradle: configuración declara la dependencia que no está declarada

Estoy haciendo mi primera aplicación para Android, pero no puedo conseguir que Android Studio funcione. Primero conseguí el error "Project with path ':wear' could not be found in project ':mobile'. Esto se resolvió añadiendo "include ':wear" in settings.gradle . Pero entonces ocurre un nuevo error: "Error:Module version Test2:mobile:unspecified, configuration 'wearApp' declares a dependency on configuration […]

¿Qué significa realmente "Proyecto de sincronización con archivo Gradle"?

En Android Studio hay un botón de Sync Project with Gradle File , siempre lo uso, y es útil. Se descargará paquetes de dependencia y tal vez algo más. ¿Pero qué significa realmente? ¿Hay un comando correspondiente en gradlew ? Si desarrollo una aplicación con gradle, NO IDE, ¿qué commnd debo usar?

XmlPullParserException: vector de etiqueta desplegable no válido

Estoy utilizando la ayuda de NDK y conseguir este error: Gradle: Distribución: gradle-2.5-all Herramienta de construcción: gradle-experimental:0.2.1 XML: <vector android:height="24dp" android:viewportHeight="125.0" android:viewportWidth="100.0" android:width="24dp" xmlns:android="http://schemas.android.com/apk/res/android"> <path android:fillColor="#FF000000" android:pathData="M97.01,-2.98,-3C47.02,95.35"/> </vector> Advertencia: Vector requiere nivel API 21 (min actual es 13) o construcción con Android Gradle plugin 1.4 o superior Excepción: FATAL EXCEPTION: main android.content.res.Resources$NotFoundException: File res/drawable/accelerometer.xml from […]

¿Cómo incluir dependencias en la biblioteca .aar?

Estoy usando Android Studio 1.4 Tengo un módulo en mi proyecto que tiene dependencias siguientes en build.gradle: dependencies { provided fileTree(dir: 'libs', include: ['*.jar']) provided 'junit:junit:4.12' apply plugin: 'com.google.gms.google-services' provided 'org.apache.directory.studio:org.apache.commons.io:2.4' provided 'com.google.android.gms:play-services:8.1.0' provided 'com.fasterxml.jackson.core:jackson-databind:2.2.0' provided 'com.fasterxml.jackson.core:jackson-core:2.2.0' provided 'com.fasterxml.jackson.core:jackson-annotations:2.2.0' } Después de construir el proyecto y sincronizar gradle, obtengo lib-release.aar en mi carpeta module / […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.